import type { NodeObject } from 'jsonld';
import type { OrArray } from '../util/Types';
import type { JSONObject } from '../util/Util';
export interface MapperArgs {
    functions?: Record<string, (args: any | any[]) => any>;
}
export declare class Mapper {
    private readonly functions?;
    constructor(args?: MapperArgs);
    apply(data: JSONObject, mapping: OrArray<NodeObject>, frame: Record<string, any>): Promise<NodeObject>;
    applyAndFrameSklProperties(data: JSONObject, mapping: OrArray<NodeObject>, frame: Record<string, any>): Promise<NodeObject>;
    private doMapping;
    private frame;
    private frameSklPropertiesAndConvertToNativeTypes;
    private addDefaultTopLevelContextWithSKLPropertiesAndConvertNativeValues;
    private convertToNativeValue;
    private jsonLdToQuads;
}
