import type { Entity } from '../util/Types';
import type { FindOneOptions, FindAllOptions, FindOptionsWhere } from './FindOptionsTypes';
import type { QueryAdapter } from './QueryAdapter';
/**
 * A {@link QueryAdapter} that stores data in memory.
 */
export declare class MemoryQueryAdapter implements QueryAdapter {
    private readonly schemas;
    constructor(schemas: Entity[]);
    find(options?: FindOneOptions): Promise<Entity | null>;
    findBy(where: FindOptionsWhere): Promise<Entity | null>;
    findAll(options?: FindAllOptions): Promise<Entity[]>;
    findAllBy(where: FindOptionsWhere): Promise<Entity[]>;
    private entityMatchesQuery;
    private entityMatchesField;
    private fieldValueMatchesField;
    private findOptionWhereMatchesNodeObject;
    private handleOperator;
    private isInstanceOf;
    private getSubClassesOf;
    exists(where: FindOptionsWhere): Promise<boolean>;
    save(entity: Entity): Promise<Entity>;
    save(entities: Entity[]): Promise<Entity[]>;
    private saveEntity;
    destroy(entity: Entity): Promise<Entity>;
    destroy(entities: Entity[]): Promise<Entity[]>;
    private destroyEntity;
}
