import type { Update, GraphQuads } from 'sparqljs';
import type { Entity } from '../../util/Types';
export interface EntityUpdateQueries {
    insertions: GraphQuads[];
    deletions: GraphQuads[];
}
export interface SparqlUpdateBuilderArgs {
    setTimestamps?: boolean;
}
export declare class SparqlUpdateBuilder {
    private readonly variableGenerator;
    private readonly setTimestamps;
    constructor(args?: SparqlUpdateBuilderArgs);
    buildUpdate(entityOrEntities: Entity | Entity[]): Update;
    buildDelete(entityOrEntities: Entity | Entity[]): Update;
    buildDeleteAll(): Update;
    private entitiesToGraphDeletionsAndInsertions;
    private entitiesToGraphDeletions;
    private entityToGraphInsertion;
    private entityToGraphDeletion;
    private entityToTriples;
    private buildTriplesForSubjectPredicateAndValues;
    private buildTriplesWithSubjectPredicateAndIriValue;
    private buildTriplesWithSubjectPredicateAndValue;
    private jsonLdValueObjectToLiteral;
    private buildTriplesForBlankNode;
    private buildUpdateWithInsertionsAndDeletions;
    private createUpdatesFromInsertionsAndDeletions;
    private sparqlUpdate;
    private selectNow;
}
