import type { Quad, Literal } from '@rdfjs/types';
import type { GraphObject, NodeObject } from 'jsonld';
import type { Frame } from 'jsonld/jsonld-spec';
import type { PropertyPath } from 'sparqljs';
import type { FindOptionsRelations } from '../storage/FindOptionsTypes';
import type { OrArray } from './Types';
export declare const rdfTypeNamedNode: import("@rdfjs/types").NamedNode<string>;
export declare const rdfsSubClassOfNamedNode: import("@rdfjs/types").NamedNode<string>;
export declare const subjectNode: import("@rdfjs/types").Variable;
export declare const predicateNode: import("@rdfjs/types").Variable;
export declare const objectNode: import("@rdfjs/types").Variable;
export declare const entityVariable: import("@rdfjs/types").Variable;
export declare const countVariable: import("@rdfjs/types").Variable;
export declare const now: import("@rdfjs/types").Variable;
export declare const created: import("@rdfjs/types").NamedNode<string>;
export declare const modified: import("@rdfjs/types").NamedNode<string>;
export declare const allTypesAndSuperTypesPath: PropertyPath;
export declare function toJSValueFromDataType(value: string, dataType: string): number | boolean | string;
export declare function triplesToJsonld(triples: Quad[], relations?: FindOptionsRelations, orderedNodeIds?: string[]): Promise<OrArray<NodeObject>>;
export declare function triplesToJsonldWithFrame(triples: Quad[], frame?: Frame, relations?: FindOptionsRelations): Promise<GraphObject>;
export declare function valueToLiteral(value: string | boolean | number | Date): Literal;
