import type { NodeObject } from 'jsonld';
import { Store } from 'n3';
import type { EntityFieldValue } from './Types';
export declare type JSONPrimitive = string | number | boolean | null;
export declare type JSONObject = Record<string, JSONValue>;
export interface JSONArray extends Array<JSONValue> {
}
export declare type JSONValue = JSONPrimitive | {
    [x: string]: JSONValue;
} | JSONValue[];
export declare function constructUri(base: string, local: string): string;
export declare function convertJsonLdToQuads(jsonldDoc: any): Promise<Store>;
export declare function toJSON(jsonLd: NodeObject, convertBeyondFirstLevel?: boolean): JSONObject;
export declare function ensureArray<T>(arrayable: T | T[]): T[];
export declare function getValueIfDefined<T>(fieldValue?: EntityFieldValue): T | undefined;
export declare function isUrl(value: any): boolean;
