"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DCTERMS = exports.SCHEMA = exports.SHACL = exports.OWL = exports.RDFS = exports.RDF = exports.XSD = exports.SKL = exports.sklNamespace = void 0;
function createNamespace(baseUri, localNames) {
    const namespace = {};
    for (const localName of localNames) {
        namespace[localName] = `${baseUri}${localName}`;
    }
    return namespace;
}
exports.sklNamespace = 'https://skl.standard.storage/';
exports.SKL = createNamespace(exports.sklNamespace, [
    'Verb',
    'Noun',
    'Mapping',
    'Parameters',
    'mappingSubject',
    'VerbIntegrationMapping',
    'NounInterfaceMapping',
    'OpenApiDescription',
    'Account',
    'SecurityCredentials',
    'InterfaceComponent',
    'Folder',
    'Verb',
    'Verb',
    'OpenApiSecuritySchemeVerb',
    'NounMappedVerb',
    'VerbNounMapping',
    'JsonDataSource',
    'Integration',
    'StylingTheme',
    'verb',
    'account',
    'integration',
    'parameters',
    'parameterMapping',
    'returnValueMapping',
    'operationMapping',
    'verbMapping',
    'openApiDescription',
    'accessToken',
    'refreshToken',
    'apiKey',
    'sourceId',
    'returnValue',
    'parametersContext',
    'nodes',
    'sourceUrl',
    'interface',
    'noun',
    'propertiesMapping',
    'styling',
    'designTokens',
    'iterate',
    'iterateItemAccessor',
    'clientId',
    'IntegrationSyncConfiguration',
    'syncStepDefaultArgs',
    'syncSteps',
    'TokenPaginatedCollection',
    'PaginatedCollection',
    'File',
    'Event',
    'schemeName',
    'oauthFlow',
    'stage',
    'operationId',
    'returnValueFrame',
    'clientSecret',
    'invalidTokenErrorMatcher',
    'getOauthTokens',
    'records',
    'mapping',
    'overrideBasePath',
    'dataSource',
    'data',
    'source',
]);
exports.XSD = createNamespace('http://www.w3.org/2001/XMLSchema#', [
    'boolean',
    'integer',
    'double',
    'decimal',
    'string',
    'float',
    'positiveInteger',
    'negativeInteger',
    'int',
    'date',
    'time',
    'dateTime',
]);
exports.RDF = createNamespace('http://www.w3.org/1999/02/22-rdf-syntax-ns#', [
    'type',
    'first',
    'rest',
    'datatype',
    'JSON',
]);
exports.RDFS = createNamespace('http://www.w3.org/2000/01/rdf-schema#', [
    'subClassOf',
    'label',
    'range',
]);
exports.OWL = createNamespace('http://www.w3.org/2002/07/owl#', [
    'Restriction',
    'onProperty',
    'allValuesFrom',
    'Class',
    'intersectionOf',
    'someValuesFrom',
    'ObjectProperty',
]);
exports.SHACL = createNamespace('http://www.w3.org/ns/shacl#', [
    'targetClass',
    'targetNode',
]);
exports.SCHEMA = createNamespace('https://schema.org/', [
    'Event',
]);
exports.DCTERMS = createNamespace('http://purl.org/dc/terms/', [
    'created',
    'modified',
]);
//# sourceMappingURL=Vocabularies.js.map